__gnu_parallel::_Job< _DifferenceTp >(3cxx)

NAME
__gnu_parallel::_Job< _DifferenceTp > - One __job for a certain thread.

SYNOPSIS

  Public Types

typedef _DifferenceTp _DifferenceType

  Public Attributes

volatile _DifferenceType _M_first
First element.
volatile _DifferenceType _M_last
Last element.
volatile _DifferenceType _M_load
Number of elements, i.e. _M_last-_M_first+1.

Detailed Description

  template<typename _DifferenceTp>
struct __gnu_parallel::_Job< _DifferenceTp >" One __job for a certain thread.

Definition at line 54 of file workstealing.h.

Member Data Documentation

  template<typename _DifferenceTp> volatile _DifferenceType __gnu_parallel::_Job< _DifferenceTp >::_M_first

First element. Changed by owning and stealing thread. By stealing thread, always incremented.

Definition at line 62 of file workstealing.h.

  template<typename _DifferenceTp> volatile _DifferenceType __gnu_parallel::_Job< _DifferenceTp >::_M_last

Last element. Changed by owning thread only.

Definition at line 67 of file workstealing.h.

  template<typename _DifferenceTp> volatile _DifferenceType __gnu_parallel::_Job< _DifferenceTp >::_M_load

Number of elements, i.e. _M_last-_M_first+1. Changed by owning thread only.

Definition at line 72 of file workstealing.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.